<div class="loader" *ngIf="showLoader">
  <app-loader></app-loader>
</div>

<navbar-app [default]="navbarMode" [checkLogin]="isLogin"></navbar-app>

<div class="community-detail">
  <!-- @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ header -->
  <div class="header" dir="rtl" data-aos="zoom-in" data-aos-duration="500">
    <div class="cover">
      <img
        [src]="
          unionDetail.coverImage != ''
            ? imageUrl + unionDetail.coverImage
            : imageUrl + defaultCoverImageUrl
        "
        alt=""
      />
    </div>
    <div class="detail">
      <div class="profile">
        <div class="img">
          <img
            [src]="
              unionDetail.profileImage != ''
                ? imageUrl + unionDetail.profileImage
                : imageUrl + defaultProfileImageUrl
            "
            alt=""
          />
        </div>
      </div>
      <div class="content">
        <div>
          <p>{{ unionDetail.name }}</p>
          <div *ngIf="unionId != userId">
            <a class="follow-btn" *ngIf="!isFollowed" (click)="follow()">
              + دنبال کردن
            </a>
            <a class="unfollow-btn" *ngIf="isFollowed" (click)="unFollow()">
              x عدم دنبال
            </a>
          </div>
        </div>
        <div>
          <span>شعار : </span>
          <p>{{ unionDetail.slogan }}</p>
        </div>
      </div>
    </div>
  </div>

  <!-- @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ body -->
  <div class="body" dir="rtl">
    <!-- @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ sidebar -->
    <div class="sidebar">
      <!-- @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ tab box -->
      <div class="tab-box" dir="rtl">
        <div class="tab active" role="home" (click)="changeSideTabs('home')">
          <fa-icon [icon]="faAngleLeft"></fa-icon>
          <p>
            صفحه اصلی انجمن
          </p>
        </div>
        <div class="tab" role="member" (click)="changeSideTabs('member')">
          <fa-icon [icon]="faAngleLeft"></fa-icon>
          <p>
            اعضاء انجمن
          </p>
        </div>
        <div class="tab" role="nashriat" (click)="changeSideTabs('nashriat')">
          <fa-icon [icon]="faAngleLeft"></fa-icon>
          <p>
            نشریات
          </p>
        </div>
        <div
          class="tab"
          role="eftekharat"
          (click)="changeSideTabs('eftekharat')"
        >
          <fa-icon [icon]="faAngleLeft"></fa-icon>
          <p>
            افتخارات
          </p>
        </div>
        <div class="tab" role="about" (click)="changeSideTabs('about')">
          <fa-icon [icon]="faAngleLeft"></fa-icon>
          <p>
            درباره انجمن
          </p>
        </div>
        <div class="tab" role="contactUs" (click)="changeSideTabs('contactUs')">
          <fa-icon [icon]="faAngleLeft"></fa-icon>
          <p>
            تماس با انجمن
          </p>
        </div>
      </div>
    </div>

    <!-- @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ content box -->
    <div class="content-box">
      <!-- content loader -->
      <div class="content-loader" *ngIf="showContentLoader">
        <app-loader></app-loader>
      </div>

      <!-- @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ home content -->
      <div class="content content-active" id="home" *ngIf="tabName == 'home'">
        <detail-home-app [unionMode]="unionMode"></detail-home-app>
      </div>

      <!-- @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ member content -->
      <div class="content" id="member" *ngIf="tabName == 'member'">
        <app-detail-member></app-detail-member>
      </div>

      <!-- @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ nashriat content -->
      <div class="content" id="nashriat" *ngIf="tabName == 'nashriat'">
        <app-detail-nashriat></app-detail-nashriat>
      </div>

      <!-- @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ eftekharat content -->
      <div class="content" id="eftekharat" *ngIf="tabName == 'eftekharat'">
        <app-detail-eftekharat></app-detail-eftekharat>
      </div>

      <!-- @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ about content -->
      <div class="content" id="about" *ngIf="tabName == 'about'">
        <app-detail-about></app-detail-about>
      </div>

      <!-- @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ contact us content -->
      <div class="content" id="contactUs" *ngIf="tabName == 'contactUs'">
        <app-detail-contact-us></app-detail-contact-us>
      </div>
    </div>
  </div>
</div>

<footer-app [checkLogin]="isLogin"></footer-app>
